Subject: Re: [PATCH mlx5-next] {rdma,net}/mlx5: Query vports mac address from device

From: Saeed Mahameed <[email-masked]>
Date: Tue, 21 Oct 2025 19:12:21 -0700

On 21 Oct 16:47, Jakub Kicinski wrote:
>On Wed, 15 Oct 2025 18:40:55 -0700 Saeed Mahameed wrote:
>> Before this patch during either switchdev or legacy mode enablement we
>> cleared the mac address of vports between changes. This change allows us
>> to preserve the vports mac address between eswitch mode changes.
>
>Not knowing what exactly a vport is I can't tell whether this preserves
>MAC addrs of reprs, the uplink, something else?

vport == vf or sf, so VF/SF permanent mac address. It can be set either by
iproute vf interface or devlink function interface. For no obvious reason
we reset it to 0 on switchdev legacy mode changes.. this patch is fixing
that. 

Of course vport holds more information than just the mac address, e.g GUID,
mtu, promisc mode, mulitcast mode, and other stuff.